<img src='https://jspreadsheet.com/templates/default/img/createapplications.png' height=80% width=80%>

# Jspreasheet Pro

[Jspreadsheet](https://jspreadsheet.com/) is an extensive yet light JavaScript library to create web-based data grids with spreadsheet-like controls. It boasts a wealth of functionalities that mirror Excel's capabilities. [Jspreadsheet](https://jspreadsheet.com/) is fully compatible with React, [Angular](https://jspreadsheet.com/docs/), [Vue](https://jspreadsheet.com/docs/), [JavaScript](https://jspreadsheet.com/docs/), and [TypeScript](https://jspreadsheet.com/docs/).

You're welcome to explore Jspreadsheet in your development environment without any charges—no need to worry about the license until you're ready to take to deploy your application.

The [performance](https://jspreadsheet.com/docs/performance) example will create a table from an array with 100 columns x 50000 rows (five million cells) in less than one second. 

<img src='https://jspreadsheet.com/templates/default/img/performancejss.gif' height=80% width=80%>

<h2>Features</h2>

* [Cross worksheets](https://jspreadsheet.com/docs/examples/cross-calculations)
  
* [JavaScript Dropdown](https://jspreadsheet.com/docs/dropdown-and-autocomplete)

* [Filters](https://jspreadsheet.com/docs/filters)

* [Data binding](https://jspreadsheet.com/docs/examples/data-binding)

* [Import from XLSX](https://jspreadsheet.com/products/import-from-xlsx)

* [Export to XLSX](https://jspreadsheet.com/products/export-to-xlsx)

* [Validations](https://jspreadsheet.com/products/validations)

* [Search and replace](https://jspreadsheet.com/products/search)

* [Comments](https://jspreadsheet.com/products/comments)

* [Forms](https://jspreadsheet.com/products/forms)

* [CSV](https://jspreadsheet.com/products/csv-importer)

* [Charts](https://jspreadsheet.com/products/charts)

* [Export to PDF](https://jspreadsheet.com/products/export-to-pdf)
  
* [Edition bar](https://jspreadsheet.com/products/edition-bar)

* [Import from Google Sheets](https://jspreadsheet.com/products/import-from-google-sheets)

* [Defined names](https://jspreadsheet.com/docs/defined-names)

* [Footers](https://jspreadsheet.com/docs/footers)

* [Freeze columns](https://jspreadsheet.com/docs/freeze-columns)

* [Freeze rows](https://jspreadsheet.com/docs/freeze-rows)

* [Group columns](https://jspreadsheet.com/docs/group-columns)

* [Group rows](https://jspreadsheet.com/docs/group-rows)

* [Headers](https://jspreadsheet.com/docs/headers)

* [Pagination](https://jspreadsheet.com/docs/pagination)

* [Persistence](https://jspreadsheet.com/docs/persistence)

* [Rows](https://jspreadsheet.com/docs/rows)

* [Search](https://jspreadsheet.com/docs/search)

* [Selection](https://jspreadsheet.com/docs/selection)

* [Sorting](https://jspreadsheet.com/docs/sorting)

* [Style](https://jspreadsheet.com/docs/style)

* [Toolbars](https://jspreadsheet.com/docs/toolbars)

* [Viewport](https://jspreadsheet.com/docs/viewport)

* [Editors](https://jspreadsheet.com/docs/editors)

* [Date and calendar](https://jspreadsheet.com/docs/date)

* [Events](https://jspreadsheet.com/docs/events)

* [Plugins](https://jspreadsheet.com/docs/plugins)

* [Formula picker](https://jspreadsheet.com/docs/formula-picker)

* [Helpers](https://jspreadsheet.com/docs/helpers)

* [International](https://jspreadsheet.com/docs/international-settings)

* [Appearance](https://jspreadsheet.com/docs/appearance)

* [Themes](https://jspreadsheet.com/docs/themes)

<br>

<h2>Get Started with Jspreadsheet Data Grid</h2>

Get Started - [JavaScript Data Grid](https://jspreadsheet.com/docs/getting-started)

Get Started - [React Data Grid](https://jspreadsheet.com/docs/react)

Get Started - [Angular Data Grid](https://jspreadsheet.com/docs/angular)

Get Started - [Vue Data Grid](https://jspreadsheet.com/docs/vue)

<h2>Try it for free</h2>

After you create a free account, you will receive specific instructions on how to download and start using Jspreadsheet. 
There is no time limit for your evaluation period; you will need a valid license only when you are ready to deploy your applications.

* [Start Free Trial](https://jspreadsheet.com/me/login?create)

<h2>Commercial License</h2>

Excellent documentation, technical support, and the freedom to create a custom solution for your project.
* [Pricing](https://jspreadsheet.com/pricing)


<h2>Technical Support</h2>

* For technical support:
https://github.com/jspreadsheet/pro/issues


<h2>Contact us</h2>

* Support: support@jspreadsheet.com

* General questions: contact@jspreadsheet.com



## Tools
- [LemonadeJS Reactive Library](https://lemonadejs.net)

## jSuites

### Image cropper

#### Documentation

*   [Getting started](https://jsuites.net/v4/image-cropper)
*   [Quick reference](https://jsuites.net/v4/image-cropper/quick-reference)

#### Examples

*   [Rotate and zoom](https://jsuites.net/v4/image-cropper/rotate-and-zoom)
*   [Brightness and contrast](https://jsuites.net/v4/image-cropper/brightness-and-contrast-filters "Brightness and contrast")

#### Integrations

*   [React integration](https://jsuites.net/v4/image-cropper/react-component)
*   [Vue integration](https://jsuites.net/v4/image-cropper/image-cropper-vue-example)
*   [Angular integration](https://jsuites.net/v4/image-cropper/image-cropper-angular-example)

### Javascript Template

#### Documentation

*   [Getting started](https://jsuites.net/v4/javascript-template)
*   [Quick reference](https://jsuites.net/v4/javascript-template/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/javascript-template/basic)
*   [Pagination and Searching](https://jsuites.net/v4/javascript-template/pagination-and-searching)
*   [Methods](https://jsuites.net/v4/javascript-template/methods)
*   [Event Handling](https://jsuites.net/v4/javascript-template/event-handling)

### JavaScript Organogram

#### Documentation

*   [Getting started](https://jsuites.net/v4/organogram)
*   [Quick Reference](https://jsuites.net/v4/organogram/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/organogram/basic)
*   [Methods](https://jsuites.net/v4/organogram/methods)

#### Integrations

*   [React organogram](https://jsuites.net/v4/organogram/organogram-with-react)
*   [Vue organogram](https://jsuites.net/v4/organogram/organogram-with-vue)
*   [Angular organogram](https://jsuites.net/v4/organogram/organogram-with-angular)

### Javascript Heatmap

#### Documentation

*   [Getting started](https://jsuites.net/v4/heatmap)
*   [Quick reference](https://jsuites.net/v4/heatmap/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/heatmap/basic)
*   [Colors](https://jsuites.net/v4/heatmap/colors)
*   [Title and tooltip](https://jsuites.net/v4/heatmap/title-and-tooltip)

### Core features

#### Core

*   [Ajax requests](https://jsuites.net/v4/core/ajax)
*   [Animations](https://jsuites.net/v4/core/animations)
*   [Toast](https://jsuites.net/v4/core/javascript-toast)
*   [Loading spin](https://jsuites.net/v4/core/loading-spin)
*   [Drag and drop](https://jsuites.net/v4/core/js-drag-and-drop)

#### Helpers

*   [Push to refresh](https://jsuites.net/v4/core/push-to-refresh)
*   [Custom scroll](https://jsuites.net/v4/core/scroll)
*   [Generic lazy loading](https://jsuites.net/v4/core/lazy-loading)
*   [File upload](https://jsuites.net/v4/core/files)

### JavaScript Dropdown

#### Documentation

*   [Getting started](https://jsuites.net/v4/dropdown-and-autocomplete)
*   [Quick Reference](https://jsuites.net/v4/dropdown-and-autocomplete/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/dropdown-and-autocomplete/basic)
*   [Multiple options](https://jsuites.net/v4/dropdown-and-autocomplete/multiple)
*   [Large sample](https://jsuites.net/v4/dropdown-and-autocomplete/large-sample)
*   [Remote search](https://jsuites.net/v4/dropdown-and-autocomplete/remote-search)
*   [Add new option](https://jsuites.net/v4/dropdown-and-autocomplete/new-options)
*   [Images](https://jsuites.net/v4/dropdown-and-autocomplete/images)
*   [Colors](https://jsuites.net/v4/dropdown-and-autocomplete/colors)
*   [Countries](https://jsuites.net/v4/dropdown-and-autocomplete/countries)
*   [Grouping elements](https://jsuites.net/v4/dropdown-and-autocomplete/grouping-elements)
*   [Events](https://jsuites.net/v4/dropdown-and-autocomplete/events)
*   [Methods](https://jsuites.net/v4/dropdown-and-autocomplete/methods)
*   [Mobile rendering](https://jsuites.net/v4/dropdown-and-autocomplete/mobile)

#### Integrations

*   [React dropdown](https://jsuites.net/v4/dropdown-and-autocomplete/javascript-dropdown-with-react)
*   [Vue dropdown](https://jsuites.net/v4/dropdown-and-autocomplete/javascript-dropdown-with-vue)
*   [Angular dropdown](https://jsuites.net/v4/dropdown-and-autocomplete/javascript-dropdown-with-angular)

### JavaScript Calendar

#### Documentation

*   [Getting started](https://jsuites.net/v4/javascript-calendar)
*   [Quick Reference](https://jsuites.net/v4/javascript-calendar/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/javascript-calendar/basic)
*   [Time picker](https://jsuites.net/v4/javascript-calendar/time-picker)
*   [Year and month picker](https://jsuites.net/v4/javascript-calendar/year-month)
*   [Events](https://jsuites.net/v4/javascript-calendar/events)
*   [Valid range](https://jsuites.net/v4/javascript-calendar/valid-range)
*   [International](https://jsuites.net/v4/javascript-calendar/international)
*   [Methods](https://jsuites.net/v4/javascript-calendar/methods)
*   [Inline calendar](https://jsuites.net/v4/javascript-calendar/inline)
*   [Mobile rendering](https://jsuites.net/v4/javascript-calendar/mobile)

#### Integrations

*   [React calendar](https://jsuites.net/v4/javascript-calendar/javascript-calendar-with-react)
*   [Vue calendar](https://jsuites.net/v4/javascript-calendar/javascript-calendar-with-vue)
*   [Angular calendar](https://jsuites.net/v4/javascript-calendar/javascript-calendar-with-angular)

### Tags and keywords

#### Documentation

*   [Getting started](https://jsuites.net/v4/javascript-tags)
*   [Quick Reference](https://jsuites.net/v4/javascript-tags/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/javascript-tags/basic)
*   [Suggestions](https://jsuites.net/v4/javascript-tags/remote-search)
*   [Events](https://jsuites.net/v4/javascript-tags/events)
*   [Validations](https://jsuites.net/v4/javascript-tags/validations)

#### Integrations

*   [React tags](https://jsuites.net/v4/javascript-tags/javascript-tags-with-react)
*   [Vue tags](https://jsuites.net/v4/javascript-tags/javascript-tags-with-vue)
*   [Angular tags](https://jsuites.net/v4/javascript-tags/javascript-tags-with-angular)

### JavaScript tabs plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/javascript-tabs)
*   [Quick Reference](https://jsuites.net/v4/javascript-tabs/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/javascript-tabs/basic)
*   [Style](https://jsuites.net/v4/javascript-tabs/style)
*   [Headers with icons](https://jsuites.net/v4/javascript-tabs/icons)
*   [Remote content](https://jsuites.net/v4/javascript-tabs/remote)
*   [Events](https://jsuites.net/v4/javascript-tabs/events)
*   [Methods](https://jsuites.net/v4/javascript-tabs/methods)

### Color picker plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/color-picker)
*   [Quick Reference](https://jsuites.net/v4/color-picker/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/color-picker/basic)
*   [Events](https://jsuites.net/v4/color-picker/events)
*   [Custom colors](https://jsuites.net/v4/color-picker/custom-colors)
*   [Palettes](https://jsuites.net/v4/color-picker/color-palettes)
*   [Responsive](https://jsuites.net/v4/color-picker/mobile)

#### Examples

*   [React color picker](https://jsuites.net/v4/color-picker/javascript-color-picker-with-react)
*   [Vue color picker](https://jsuites.net/v4/color-picker/javascript-color-picker-with-vue)
*   [Angular color picker](https://jsuites.net/v4/color-picker/javascript-color-picker-with-angular)

### Context menu plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/contextmenu)
*   [Quick Reference](https://jsuites.net/v4/contextmenu/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/contextmenu/basic)
*   [Vanilla example](https://jsuites.net/v4/contextmenu/vanilla)
*   [Icons](https://jsuites.net/v4/contextmenu/icons)
*   [Submenu](https://jsuites.net/v4/contextmenu/submenu)

### Input mask plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/javascript-mask)
*   [Quick reference](https://jsuites.net/v4/javascript-mask/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/javascript-mask/basic)
*   [Events](https://jsuites.net/v4/javascript-mask/events)
*   [Programmatically updates](https://jsuites.net/v4/javascript-mask/programmatically-updates)

### JavaScript Modal

#### Documentation

*   [Getting started](https://jsuites.net/v4/modal)
*   [Quick reference](https://jsuites.net/v4/modal/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/modal/basic)
*   [Events](https://jsuites.net/v4/modal/events)
*   [React modal](https://jsuites.net/v4/modal/javascript-modal-with-react)

### Rich HTML Forms

#### Documentation

*   [Getting started](https://jsuites.net/v4/rich-form)
*   [Quick reference](https://jsuites.net/v4/rich-form/quick-reference)

#### Examples

*   [Tracking changes](https://jsuites.net/v4/rich-form/tracking-for-form-changes)
*   [Updates](https://jsuites.net/v4/rich-form/methods)
*   [Validations](https://jsuites.net/v4/rich-form/validations)

### JavaScript rating plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/rating)
*   [Quick reference](https://jsuites.net/v4/rating/quick-reference)

#### Examples

*   [Events](https://jsuites.net/v4/rating/events)

#### Integrations

*   [React Rating](https://jsuites.net/v4/rating/javascript-rating-with-react)
*   [Vue Rating](https://jsuites.net/v4/rating/javascript-rating-with-vue)
*   [Angular Rating](https://jsuites.net/v4/rating/javascript-rating-with-angular)

### JavaScript toolbar

#### Documentation

*   [Getting started](https://jsuites.net/v4/toolbar)
*   [Quick reference](https://jsuites.net/v4/toolbar/quick-reference)

#### Examples

*   [Fontawsome](https://jsuites.net/v4/toolbar/fontawsome)
*   [Custom icons](https://jsuites.net/v4/toolbar/custom-icons)

### Text editor plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/text-editor)
*   [Quick reference](https://jsuites.net/v4/text-editor/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/text-editor/basic)
*   [Custom toolbar](https://jsuites.net/v4/text-editor/custom-toolbar)
*   [Dropping zone](https://jsuites.net/v4/text-editor/dropping-zone)
*   [URL Snippets](https://jsuites.net/v4/text-editor/website-snippet)

### Picker plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/picker)
*   [Quick reference](https://jsuites.net/v4/picker/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/picker/basic)
*   [Stylize options](https://jsuites.net/v4/picker/stylize-options)
*   [Static front](https://jsuites.net/v4/picker/static-front)
*   [Handle changes](https://jsuites.net/v4/picker/handle-changes)

#### Integrations

*   [React Picker](https://jsuites.net/v4/picker/picker-with-react)
*   [Vue Picker](https://jsuites.net/v4/picker/picker-with-vue)
*   [Angular Picker](https://jsuites.net/v4/picker/picker-with-angular)

### Image slider plugin

#### Documentation

*   [Getting started](https://jsuites.net/v4/image-slider)
*   [Quick reference](https://jsuites.net/v4/image-slider/quick-reference)

#### Examples

*   [Basic](https://jsuites.net/v4/image-slider/basic)

### All Components

#### Core

*   [Ajax requests](https://jsuites.net/v4/core/ajax)
*   [Animations](https://jsuites.net/v4/core/animations)
*   [Toast](https://jsuites.net/v4/core/javascript-toast)
*   [Loading spin](https://jsuites.net/v4/core/loading-spin)
*   [Drag and drop](https://jsuites.net/v4/core/js-drag-and-drop)

#### Extensions

*   [Cropper](https://jsuites.net/v4/image-cropper)
*   [Template](https://jsuites.net/v4/javascript-template)
*   [Organogram](https://jsuites.net/v4/organogram)
*   [Heatmap](https://jsuites.net/v4/heatmap)

#### Components

*   [Calendar](https://jsuites.net/v4/javascript-calendar)
*   [Color picker](https://jsuites.net/v4/color-picker)
*   [Context menu](https://jsuites.net/v4/contextmenu)
*   [Dropdown](https://jsuites.net/v4/dropdown-and-autocomplete)
*   [Mask](https://jsuites.net/v4/javascript-mask)
*   [Modal](https://jsuites.net/v4/modal)
*   [Picker](https://jsuites.net/v4/picker)
*   [Rating](https://jsuites.net/v4/rating)
*   [Rich forms](https://jsuites.net/v4/rich-form)
*   [Richtext](https://jsuites.net/v4/text-editor)
*   [Slider](https://jsuites.net/v4/image-slider)
*   [Tags](https://jsuites.net/v4/javascript-tags)
*   [Tabs](https://jsuites.net/v4/javascript-tabs)
*   [Toolbars](https://jsuites.net/v4/toolbar)

